## frr 7.6-dev-20210111-10-gaa6fdabb7

=== debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: David Lamparter <equinox-debian@diac24.net>
Uploaders: FRRouting-dev <dev@lists.frrouting.org>,
           Ondřej Surý <ondrej@debian.org>
Build-Depends: bison,
               chrpath,
               debhelper (>= 10~) | dh-systemd,
               debhelper (>= 9.20150101~),
               flex,
               gawk,
               install-info,
               libc-ares-dev,
               libcap-dev,
               libjson-c-dev | libjson0-dev,
               libpam0g-dev | libpam-dev,
               libpcre3-dev,
               libpython3-dev,
               libreadline-dev,
               librtr-dev <!pkg.frr.nortrlib>,
               libsnmp-dev,
               libssh-dev <!pkg.frr.nortrlib>,
               libsystemd-dev <!pkg.frr.nosystemd>,
               libyang-dev (>= 1.0.184),
               lsb-base,
               pkg-config,
               python3,
               python3-dev,
               python3-pytest <!nocheck>,
               python3-sphinx,
               texinfo (>= 4.7)
Standards-Version: 4.5.0.3
Homepage: https://www.frrouting.org/
Vcs-Browser: https://github.com/FRRouting/frr/tree/debian/master
Vcs-Git: https://github.com/FRRouting/frr.git -b debian/master

Package: frr
Architecture: linux-any
Depends: iproute2 | iproute,
         logrotate (>= 3.2-11),
         lsof,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: adduser
Recommends: frr-pythontools
Suggests: frr-doc
Conflicts: pimd,
           quagga,
           quagga-bgpd,
           quagga-core,
           quagga-isisd,
           quagga-ospf6d,
           quagga-ospfd,
           quagga-pimd,
           quagga-ripd,
           quagga-ripngd,
           zebra,
           zebra-pj
Replaces: zebra,
          zebra-pj
Description: FRRouting suite of internet protocols (BGP, OSPF, IS-IS, ...)
 FRRouting implements the routing protocols commonly used in the
 internet and private networks to exchange information between routers.
 Both IP and IPv6 are supported, as are BGP, OSPF, IS-IS, BABEL, EIGRP,
 RIP, LDP, BFD, PIM and NHRP protocols.
 .
 These protocols are used to turn your system into a dynamic router,
 exchanging information about available connections with other routers
 in a standards-compliant way.  The actual packet forwarding
 functionality is provided by the OS kernel.
 .
 FRRouting is a fork of Quagga with an open community model. The main
 git lives on https://github.com/frrouting/frr.git and the project name
 is commonly abbreviated as "FRR."

Package: frr-snmp
Architecture: linux-any
Depends: frr (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: snmpd
Description: FRRouting suite - SNMP support
 Adds SNMP support to FRR's daemons by attaching to net-snmp's snmpd
 through the AgentX protocol.  Provides read-only access to current
 routing state through standard SNMP MIBs.

Package: frr-rpki-rtrlib
Architecture: linux-any
Depends: frr (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: FRRouting suite - BGP RPKI support (rtrlib)
 Adds RPKI support to FRR's bgpd, allowing validation of BGP routes
 against cryptographic information stored in WHOIS databases.  This is
 used to prevent hijacking of networks on the wider internet.  It is only
 relevant to internet service providers using their own autonomous system
 number.
Build-Profiles: <!pkg.frr.nortrlib>

Package: frr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Suggests: frr
Conflicts: quagga-doc
Description: FRRouting suite - user manual
 This provides the FRR user manual in HTML form.  This is the official
 manual maintained as part of the package and is also available online
 at https://frrouting.readthedocs.io/

Package: frr-pythontools
Architecture: all
Depends: frr (<< ${source:Upstream-Version}.0-~),
         frr (>= ${source:Version}~),
         python3:any,
         ${misc:Depends}
Description: FRRouting suite - Python tools
 The FRRouting suite uses a small Python tool to provide configuration
 reload functionality, particularly useful when the interactive configuration
 shell is not used.
 .
 Without this package installed, "reload" (as a systemd or init script
 invocation) will not work for the FRR daemons.

## frr 7.6-dev-20210120-02-g44ba9e779

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,8 @@
                python3-dev,
                python3-pytest <!nocheck>,
                python3-sphinx,
-               texinfo (>= 4.7)
+               texinfo (>= 4.7),
+               liblua5.3-dev <pkg.frr.lua>
 Standards-Version: 4.5.0.3
 Homepage: https://www.frrouting.org/
 Vcs-Browser: https://github.com/FRRouting/frr/tree/debian/master

=== debian/rules ===
#!/usr/bin/make -f

# standard Debian options & profiles

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
  MAKE_SILENT="V=0"
  export DH_VERBOSE=0
else
  MAKE_SILENT="V=1"
  export DH_VERBOSE=1
  export DH_OPTIONS=-v
endif

# package-specific build profiles

ifeq ($(filter pkg.frr.nortrlib,$(DEB_BUILD_PROFILES)),)
  CONF_RPKI=--enable-rpki
else
  CONF_RPKI=--disable-rpki
endif

ifeq ($(filter pkg.frr.nosystemd,$(DEB_BUILD_PROFILES)),)
  DH_WITHOUT_SYSTEMD=
  CONF_SYSTEMD=--enable-systemd=yes
else
  DH_WITHOUT_SYSTEMD=--without=systemd
  CONF_SYSTEMD=--enable-systemd=no
endif

ifeq ($(filter pkg.frr.lua,$(DEB_BUILD_PROFILES)),)
  CONF_LUA=--disable-scripting
else
  CONF_LUA=--enable-scripting
endif

export PYTHON=python3

%:
	dh $@ $(DH_WITHOUT_SYSTEMD)

override_dh_auto_configure:
	$(shell dpkg-buildflags --export=sh); \
	dh_auto_configure -- \
		--enable-exampledir=/usr/share/doc/frr/examples/ \
		--localstatedir=/var/run/frr \
		--sbindir=/usr/lib/frr \
		--sysconfdir=/etc/frr \
		--with-vtysh-pager=/usr/bin/pager \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr \
		--with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr/modules \
		LIBTOOLFLAGS="-rpath /usr/lib/$(DEB_HOST_MULTIARCH)/frr" \
		--disable-dependency-tracking \
		\
		$(CONF_SYSTEMD) \
		$(CONF_RPKI) \
		$(CONF_LUA) \
		--with-libpam \
		--enable-doc \
		--enable-doc-html \
		--enable-snmp \
		--enable-fpm \
		--disable-protobuf \
		--disable-zeromq \
		--enable-ospfapi \
		--enable-bgp-vnc \
		--enable-multipath=256 \
		\
		--enable-user=frr \
		--enable-group=frr \
		--enable-vty-group=frrvty \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640 \
		# end

override_dh_auto_install:
	dh_auto_install

	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/frr-reload.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/generate_support_bundle.py

# let dh_systemd_* and dh_installinit do their thing automatically
ifeq ($(filter pkg.frr.nosystemd,$(DEB_BUILD_PROFILES)),)
	cp tools/frr.service debian/frr.service
endif
	cp tools/frrinit.sh debian/frr.init
	-rm -f debian/tmp/usr/lib/frr/frr

# install config files
	mkdir -p debian/tmp/etc
	cp -r tools/etc/* debian/tmp/etc/
	-rm debian/tmp/etc/frr/daemons.conf

	sed -e 's#^!log file #!log file /var/log/frr/#' -i debian/tmp/usr/share/doc/frr/examples/*sample*

# drop dev-only files
	find debian/tmp -name '*.la' -o -name '*.a' -o -name 'lib*.so' | xargs rm -f
	rm -rf debian/tmp/usr/include
	-rm debian/tmp/usr/lib/frr/ssd

# use installed js libraries
	-rm -f debian/tmp/usr/share/doc/frr/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/tmp/usr/share/doc/frr/html/_static/jquery.js
	-rm -f debian/tmp/usr/share/doc/frr/html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js debian/tmp/usr/share/doc/frr/html/_static/underscore.js

override_dh_auto_build:
	dh_auto_build -- $(MAKE_SILENT)

override_dh_installinit:
	dh_installinit -r

override_dh_installsystemd:
	dh_installsystemd -r

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
# we generally do NOT want a full distclean since that wipes both
# debian/changelog and config.version
	if test -f Makefile; then make redistclean; fi
	-rm -f debian/frr.init
	-rm -f debian/frr.service

## frr 8.1

=== doc/requirements.txt ===
sphinx==4.0.2

=== pathd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. pathd/pathd
%: ALWAYS
	@$(MAKE) -s -C .. pathd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== doc/manpages/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C ../.. doc/manpages/man.stamp
help: ALWAYS
	@$(MAKE) -s -C ../.. doc/help
%: ALWAYS
	@$(MAKE) -s -C ../.. doc/manpages/_build/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== snapcraft/scripts/Makefile ===
all:

install:
	mkdir -p $(DESTDIR)/bin
	install -D -m 0755 zebra-service $(DESTDIR)/bin/
	install -D -m 0755 bgpd-service $(DESTDIR)/bin/
	install -D -m 0755 ospfd-service $(DESTDIR)/bin/
	install -D -m 0755 ospf6d-service $(DESTDIR)/bin/
	install -D -m 0755 ripd-service $(DESTDIR)/bin/
	install -D -m 0755 ripngd-service $(DESTDIR)/bin/
	install -D -m 0755 isisd-service $(DESTDIR)/bin/
	install -D -m 0755 pimd-service $(DESTDIR)/bin/
	install -D -m 0755 ldpd-service $(DESTDIR)/bin/
	install -D -m 0755 nhrpd-service $(DESTDIR)/bin/
	install -D -m 0755 babeld-service $(DESTDIR)/bin/
	install -D -m 0755 eigrpd-service $(DESTDIR)/bin/
	install -D -m 0755 pbrd-service $(DESTDIR)/bin/
	install -D -m 0755 staticd-service $(DESTDIR)/bin/
	install -D -m 0755 bfdd-service $(DESTDIR)/bin/
	install -D -m 0755 fabricd-service $(DESTDIR)/bin/
	install -D -m 0755 vrrpd-service $(DESTDIR)/bin/
	install -D -m 0755 pathd-service $(DESTDIR)/bin/
	install -D -m 0755 set-options $(DESTDIR)/bin/
	install -D -m 0755 show_version $(DESTDIR)/bin/

=== bgpd/rfp-example/rfptest/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C ../../.. bgpd/rfp-example/rfptest/rfptest
%: ALWAYS
	@$(MAKE) -s -C ../../.. bgpd/rfp-example/rfptest/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== debian/changelog ===
frr (8.1-1ubuntu1.13) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service via route re-validation
    - debian/patches/CVE-2024-55553.patch: bgpd: Validate only affected
      RPKI prefixes instead of a full RIB
    - Ubuntu note: Adjusted from backport of 7.5 to fit 8.1.
    - Attempt to correct failing test for ppc64
    - CVE-2024-55553

 -- John Breton <john.breton@canonical.com>  Fri, 24 Jan 2025 14:38:53 -0500

frr (8.1-1ubuntu1.12) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service via route re-validation
    - debian/patches/CVE-2024-55553.patch: bgpd: Validate only affected
      RPKI prefixes instead of a full RIB
    - Ubuntu note: Adjusted from backport of 7.5 to fit 8.1.
    - CVE-2024-55553

 -- John Breton <john.breton@canonical.com>  Fri, 24 Jan 2025 14:09:39 -0500

frr (8.1-1ubuntu1.11) jammy-security; urgency=medium

  * SECURITY UPDATE: BGP overflow via TLV value
    - debian/patches/CVE-2024-44070.patch: check the actual remaining
      stream length before taking TLV value in bgpd/bgp_attr.c.
    - CVE-2024-44070

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Sep 2024 07:39:38 -0400

frr (8.1-1ubuntu1.10) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via malformed Prefix SID attribute
    - debian/patches/CVE-2024-31948-1.patch: fix error handling when
      receiving BGP Prefix SID attribute in bgpd/bgp_attr.c.
    - debian/patches/CVE-2024-31948-2.patch: prevent from one more CVE
      triggering this place in bgpd/bgp_attr.c.
    - CVE-2024-31948
  * SECURITY UPDATE: DoS via malformed OSPF LSA packets
    - debian/patches/CVE-2024-31950.patch: solved crash in RI parsing with
      OSPF TE in ospfd/ospf_te.c.
    - CVE-2024-31950
  * SECURITY UPDATE: DoS via malformed OSPF LSA packets
    - debian/patches/CVE-2024-31951.patch: correct Opaque LSA Extended
      parser in ospfd/ospf_te.c.
    - CVE-2024-31951
  * SECURITY UPDATE: DoS via invalid edge data
    - debian/patches/CVE-2024-34088.patch: protect call to get_edge() in
      ospf_te.c.
    - CVE-2024-34088

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 27 May 2024 13:18:20 -0400

frr (8.1-1ubuntu1.9) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via malformed OSPF LSA packet
    - debian/patches/CVE-2024-27913.patch: solved crash in OSPF TE parsing
      in ospfd/ospf_te.c.
    - CVE-2024-27913

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 05 Mar 2024 08:27:58 -0500

frr (8.1-1ubuntu1.8) jammy-security; urgency=medium

  * SECURITY UPDATE: flowspec overflow issue
    - debian/patches/CVE-2023-38406.patch: check length in
      bgpd/bgp_flowspec.c.
    - CVE-2023-38406
  * SECURITY UPDATE: read beyond stream during labeled unicast parsing
    - debian/patches/CVE-2023-38407.patch: fix use beyond end of stream of
      labeled unicast parsing in bgpd/bgp_label.c.
    - CVE-2023-38407
  * SECURITY UPDATE: crash via MP_UNREACH_NLRI attribute
    - debian/patches/CVE-2023-47234.patch: ignore handling NLRIs if we
      received MP_UNREACH_NLRI in bgpd/bgp_attr.c, bgpd/bgp_attr.h,
      bgpd/bgp_packet.c.
    - CVE-2023-47234
  * SECURITY UPDATE: crash via malformed BGP UPDATE message
    - debian/patches/CVE-2023-47235.patch: treat EOR as withdrawn to avoid
      unwanted handling of malformed attrs in bgpd/bgp_attr.c.
    - CVE-2023-47235

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Nov 2023 09:48:20 -0500

frr (8.1-1ubuntu1.7) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via MP_REACH_NLRI data
    - debian/patches/CVE-2023-46752.patch: handle MP_REACH_NLRI malformed
      packets with session reset in bgpd/bgp_attr.c, bgpd/bgp_attr.h,
      bgpd/bgp_packet.c.
    - CVE-2023-46752
  * SECURITY UPDATE: DoS via BGP UPDATE without mandatory attributes
    - debian/patches/CVE-2023-46753.patch: check mandatory attributes more
      carefully for UPDATE message in bgpd/bgp_attr.c.
    - CVE-2023-46753

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Nov 2023 14:30:38 -0400

frr (8.1-1ubuntu1.6) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2023-41358.patch: Do not process NLRIs if the
      attribute length is zero
    - debian/patches/CVE-2023-41360.patch: Don't read the first byte of ORF
      header if we are ahead of stream
    - CVE-2023-41358
    - CVE-2023-41360
  * SECURITY UPDATE: Null pointer dereference
    - debian/patches/CVE-2023-41909.patch: Limit flowspec to no attribute
      means a implicit withdrawal
    - CVE-2023-41909

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 16 Oct 2023 13:03:51 +0530

frr (8.1-1ubuntu1.5) jammy-security; urgency=medium

  * SECURITY UPDATE: a BGP route attribute, tunnel encapsulation, can
    be corrupted and cause denial of service
    - debian/patches/CVE-2023-38802.patch: use treat-as-withdraw for
      tunnel encapsulation attribute
    - CVE-2023-31490

 -- Mark Esler <mark.esler@canonical.com>  Wed, 30 Aug 2023 10:39:00 -0500

frr (8.1-1ubuntu1.4) jammy-security; urgency=medium

  * SECURITY UPDATE: denial of service via bgp_attr_psid_sub()
    - debian/patches/CVE-2023-31490.patch: ensure stream received has
      enough data in bgpd/bgp_attr.c.
    - CVE-2023-31490

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Jun 2023 13:56:18 -0400

frr (8.1-1ubuntu1.3) jammy; urgency=medium

  * d/frr.postinst: don't change log ownership if the syslog user
    doesn't exist. Thanks to Alessandro Ratti
    <alessandro.ratti@exoscale.ch> for the fix (LP: #1991812).

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 28 Oct 2022 11:38:34 -0300

frr (8.1-1ubuntu1.2) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via out-of-bounds read
    - debian/patches/CVE-2022-37032.patch: make sure hdr length is at a
      minimum of what is expected in bgpd/bgp_packet.c.
    - CVE-2022-37032
  * SECURITY UPDATE: use-after-free due to a race condition


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: frr
 Section: net
 Priority: optional
-Maintainer: David Lamparter <equinox-debian@diac24.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Lamparter <equinox-debian@diac24.net>
 Uploaders: FRRouting-dev <dev@lists.frrouting.org>,
            Ondřej Surý <ondrej@debian.org>
 Build-Depends: bison,
@@ -13,16 +14,16 @@
                install-info,
                libc-ares-dev,
                libcap-dev,
+               libelf-dev,
                libjson-c-dev | libjson0-dev,
                libpam0g-dev | libpam-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libpython3-dev,
                libreadline-dev,
                librtr-dev <!pkg.frr.nortrlib>,
                libsnmp-dev,
                libssh-dev <!pkg.frr.nortrlib>,
-               libsystemd-dev <!pkg.frr.nosystemd>,
-               libyang-dev (>= 1.0.184),
+               libyang2-dev,
                lsb-base,
                pkg-config,
                python3,
@@ -63,8 +64,8 @@
 Description: FRRouting suite of internet protocols (BGP, OSPF, IS-IS, ...)
  FRRouting implements the routing protocols commonly used in the
  internet and private networks to exchange information between routers.
- Both IP and IPv6 are supported, as are BGP, OSPF, IS-IS, BABEL, EIGRP,
- RIP, LDP, BFD, PIM and NHRP protocols.
+ Both IP and IPv6 are supported, as are BGP, OSPFv2, OSPFv3, IS-IS, BABEL,
+ EIGRP, RIP, RIPng, LDP, BFD, PIM, VRRP, PBR, and NHRP.
  .
  These protocols are used to turn your system into a dynamic router,
  exchanging information about available connections with other routers

## frr 8.4.2

=== debian/changelog ===
frr (8.4.2-1ubuntu1.6) lunar-security; urgency=medium

  * SECURITY UPDATE: flowspec overflow issue
    - debian/patches/CVE-2023-38406.patch: check length in
      bgpd/bgp_flowspec.c.
    - CVE-2023-38406
  * SECURITY UPDATE: read beyond stream during labeled unicast parsing
    - debian/patches/CVE-2023-38407.patch: fix use beyond end of stream of
      labeled unicast parsing in bgpd/bgp_label.c.
    - CVE-2023-38407
  * SECURITY UPDATE: crash via MP_UNREACH_NLRI attribute
    - debian/patches/CVE-2023-47234.patch: ignore handling NLRIs if we
      received MP_UNREACH_NLRI in bgpd/bgp_attr.c, bgpd/bgp_attr.h,
      bgpd/bgp_packet.c.
    - CVE-2023-47234
  * SECURITY UPDATE: crash via malformed BGP UPDATE message
    - debian/patches/CVE-2023-47235.patch: treat EOR as withdrawn to avoid
      unwanted handling of malformed attrs in bgpd/bgp_attr.c.
    - CVE-2023-47235

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Nov 2023 09:45:05 -0500

frr (8.4.2-1ubuntu1.5) lunar-security; urgency=medium

  * SECURITY UPDATE: DoS via MP_REACH_NLRI data
    - debian/patches/CVE-2023-46752.patch: handle MP_REACH_NLRI malformed
      packets with session reset in bgpd/bgp_attr.c, bgpd/bgp_attr.h,
      bgpd/bgp_packet.c.
    - CVE-2023-46752
  * SECURITY UPDATE: DoS via BGP UPDATE without mandatory attributes
    - debian/patches/CVE-2023-46753.patch: check mandatory attributes more
      carefully for UPDATE message in bgpd/bgp_attr.c.
    - CVE-2023-46753

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Nov 2023 14:27:47 -0400

frr (8.4.2-1ubuntu1.4) lunar-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2023-41358.patch: Do not process NLRIs if the
      attribute length is zero
    - debian/patches/CVE-2023-41360.patch: Don't read the first byte of ORF
      header if we are ahead of stream
    - CVE-2023-41358
    - CVE-2023-41360
  * SECURITY UPDATE: Null pointer dereference
    - debian/patches/CVE-2023-41909.patch: Limit flowspec to no attribute
      means a implicit withdrawal
    - CVE-2023-41909

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 16 Oct 2023 12:27:34 +0530

frr (8.4.2-1ubuntu1.3) lunar-security; urgency=medium

  * SECURITY UPDATE: a BGP route attribute, tunnel encapsulation, can
    be corrupted and cause denial of service
    - debian/patches/CVE-2023-38802.patch: use treat-as-withdraw for
      tunnel encapsulation attribute
    - CVE-2023-31490

 -- Mark Esler <mark.esler@canonical.com>  Wed, 30 Aug 2023 10:33:16 -0500

frr (8.4.2-1ubuntu1.2) lunar-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2023-3748.patch: replacing continue in loops
      to goto done in bebeld/message.c.
    - CVE-2023-3748

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 20 Jul 2023 12:55:46 -0300

frr (8.4.2-1ubuntu1.1) lunar-security; urgency=medium

  * SECURITY UPDATE: denial of service via bgp_capability_llgr()
    - debian/patches/CVE-2023-31489.patch: check 7 bytes for Long-lived
      Graceful-Restart capability in bgpd/bgp_open.c.
    - CVE-2023-31489
  * SECURITY UPDATE: denial of service via bgp_attr_psid_sub()
    - debian/patches/CVE-2023-31490.patch: ensure stream received has
      enough data in bgpd/bgp_attr.c.
    - CVE-2023-31490

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Jun 2023 13:14:57 -0400

frr (8.4.2-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: change log files ownership
      + d/frr.logrotate: change rotated log file ownership

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 29 Jan 2023 15:28:40 -0300

frr (8.4.2-1) unstable; urgency=medium

  * new upstream release FRR 8.4.2
  * drop all patches in debian/patches/, they got merged upstream

 -- David Lamparter <equinox-debian@diac24.net>  Mon, 23 Jan 2023 17:32:02 +0100

frr (8.4.1-2ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993401). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: change log files ownership
      + d/frr.logrotate: change rotated log file ownership
  * Dropped (fixed upstream):
    - SECURITY UPDATE: overflow via input packet length
      + debian/patches/CVE-2022-26125.patch: fix router capability TLV
        parsing issues in isisd/isis_tlvs.*.
      + debian/patches/disable_isisd_fuzz_test.patch: disable fuzz tests as
        the security update changed expected results in
        tests/isisd/test_fuzz_isis_tlv.py.
      + CVE-2022-26125
    - SECURITY UPDATE: overflow via use of strdup with binary string
      + debian/patches/CVE-2022-26126.patch: use base64 encoding in
        isisd/isis_nb_notifications.c, lib/base64.c, lib/base64.h,
        lib/subdir.am, lib/yang_wrappers.c, lib/yang_wrappers.h.
      + CVE-2022-26126
    - SECURITY UPDATE: overflow via missing check on the input packet length
      + debian/patches/CVE-2022-26127.patch: add check on packet length in
        babeld/message.c.
      + CVE-2022-2612
    - SECURITY UPDATE: overflow via wrong checks
      + debian/patches/CVE-2022-26128_9.patch: fix checks on length in
        babeld/message.c.
      + CVE-2022-26128
      + CVE-2022-26129
    - SECURITY UPDATE: DoS via out-of-bounds read
      + debian/patches/CVE-2022-37032.patch: make sure hdr length is at a
        minimum of what is expected in bgpd/bgp_packet.c.
      + CVE-2022-37032
    - SECURITY UPDATE: use-after-free due to a race condition
      + debian/patches/CVE-2022-37035.patch: avoid notify race between io and
        main pthreads in bgpd/bgp_io.c, bgpd/bgp_packet.c, bgpd/bgp_packet.h.
      + CVE-2022-37035

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 08 Jan 2023 17:57:05 -0300

frr (8.4.1-2) unstable; urgency=medium

  * commit to git tarball as source instead of dist tarball


=== debian/control ===
--- 
+++ 
@@ -14,23 +14,24 @@
                install-info,
                libc-ares-dev,
                libcap-dev,
-               libelf-dev,
+               libelf-dev:native,
                libjson-c-dev | libjson0-dev,
                libpam0g-dev | libpam-dev,
                libpcre2-dev,
-               libpython3-dev,
+               libpython3-dev:native,
                libreadline-dev,
-               librtr-dev <!pkg.frr.nortrlib>,
+               librtr-dev (>= 0.8.0~) <!pkg.frr.nortrlib>,
                libsnmp-dev,
                libssh-dev <!pkg.frr.nortrlib>,
                libyang2-dev,
                lsb-base,
                pkg-config,
-               python3,
-               python3-dev,
-               python3-pytest <!nocheck>,
-               python3-sphinx,
+               python3:native,
+               python3-dev:native,
+               python3-pytest:native <!nocheck>,
+               python3-sphinx:native,
                texinfo (>= 4.7),
+               lua5.3 <pkg.frr.lua>,
                liblua5.3-dev <pkg.frr.lua>
 Standards-Version: 4.5.0.3
 Homepage: https://www.frrouting.org/
@@ -39,7 +40,7 @@
 
 Package: frr
 Architecture: linux-any
-Depends: iproute2 | iproute,
+Depends: iproute2,
          logrotate (>= 3.2-11),
          lsof,
          ${misc:Depends},
@@ -104,9 +105,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: libjs-jquery,
-         libjs-underscore,
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Suggests: frr
 Conflicts: quagga-doc
 Description: FRRouting suite - user manual

=== debian/watch ===
version=4

opts="\
searchmode=plain,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
downloadurlmangle=s&>FRR\s*(\d\S+)\s+Release<&download/frr-$1/frr-$1.tar.xz&,\
filenamemangle=s&>FRR\s*(\d\S+)\s+Release<&frr-$1.tar.xz&,\
" \
https://github.com/FRRouting/frr/releases/ \
	>FRR\s*(\d\S+)\s+Release<

## frr 8.4.4

=== debian/changelog ===
frr (8.4.4-1.1ubuntu6.3) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service via route re-validation
    - debian/patches/CVE-2024-55553.patch: bgpd: Validate only affected
      RPKI prefixes instead of a full RIB.
    - Ubuntu note: Adjusted from backport of 7.5 to fit 8.4.4.
    - CVE-2024-55553

 -- John Breton <john.breton@canonical.com>  Fri, 24 Jan 2025 09:43:49 -0500

frr (8.4.4-1.1ubuntu6.2) noble-security; urgency=medium

  * SECURITY UPDATE: BGP overflow via TLV value
    - debian/patches/CVE-2024-44070.patch: check the actual remaining
      stream length before taking TLV value in bgpd/bgp_attr.c.
    - CVE-2024-44070

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Sep 2024 07:38:37 -0400

frr (8.4.4-1.1ubuntu6.1) noble-security; urgency=medium

  * SECURITY UPDATE: DoS via malformed Prefix SID attribute
    - debian/patches/CVE-2024-31948-1.patch: fix error handling when
      receiving BGP Prefix SID attribute in bgpd/bgp_attr.c.
    - debian/patches/CVE-2024-31948-2.patch: prevent from one more CVE
      triggering this place in bgpd/bgp_attr.c.
    - CVE-2024-31948
  * SECURITY UPDATE: DoS via malformed OSPF LSA packets
    - debian/patches/CVE-2024-31950.patch: solved crash in RI parsing with
      OSPF TE in ospfd/ospf_te.c.
    - CVE-2024-31950
  * SECURITY UPDATE: DoS via malformed OSPF LSA packets
    - debian/patches/CVE-2024-31951.patch: correct Opaque LSA Extended
      parser in ospfd/ospf_te.c.
    - CVE-2024-31951
  * SECURITY UPDATE: DoS via invalid edge data
    - debian/patches/CVE-2024-34088.patch: protect call to get_edge() in
      ospf_te.c.
    - CVE-2024-34088

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 27 May 2024 13:09:15 -0400

frr (8.4.4-1.1ubuntu6) noble; urgency=medium

  * No-change rebuild for c-ares t64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2024 11:56:13 +0200

frr (8.4.4-1.1ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:25:32 +0000

frr (8.4.4-1.1ubuntu4) noble; urgency=medium

  * SECURITY UPDATE: DoS via malformed OSPF LSA packet
    - debian/patches/CVE-2024-27913.patch: solved crash in OSPF TE parsing
      in ospfd/ospf_te.c.
    - CVE-2024-27913

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 05 Mar 2024 08:25:28 -0500

frr (8.4.4-1.1ubuntu3) noble; urgency=medium

  * SECURITY UPDATE: read beyond stream during labeled unicast parsing
    - debian/patches/CVE-2023-38407.patch: fix use beyond end of stream of
      labeled unicast parsing in bgpd/bgp_label.c.
    - CVE-2023-38407
  * SECURITY UPDATE: crash via MP_UNREACH_NLRI attribute
    - debian/patches/CVE-2023-47234.patch: ignore handling NLRIs if we
      received MP_UNREACH_NLRI in bgpd/bgp_attr.c, bgpd/bgp_attr.h,
      bgpd/bgp_packet.c.
    - CVE-2023-47234
  * SECURITY UPDATE: crash via malformed BGP UPDATE message
    - debian/patches/CVE-2023-47235.patch: treat EOR as withdrawn to avoid
      unwanted handling of malformed attrs in bgpd/bgp_attr.c.
    - CVE-2023-47235

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Nov 2023 09:19:43 -0500

frr (8.4.4-1.1ubuntu2) noble; urgency=medium

  * SECURITY UPDATE: DoS via MP_REACH_NLRI data
    - debian/patches/CVE-2023-46752.patch: handle MP_REACH_NLRI malformed
      packets with session reset in bgpd/bgp_attr.c, bgpd/bgp_attr.h,
      bgpd/bgp_packet.c.
    - CVE-2023-46752
  * SECURITY UPDATE: DoS via BGP UPDATE without mandatory attributes
    - debian/patches/CVE-2023-46753.patch: check mandatory attributes more
      carefully for UPDATE message in bgpd/bgp_attr.c.
    - CVE-2023-46753

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Nov 2023 14:12:59 -0400

frr (8.4.4-1.1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2033921). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: change log files ownership
      + d/frr.logrotate: change rotated log file ownership

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 01 Sep 2023 15:15:39 -0300

frr (8.4.4-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Upstream fixes for CVE-2023-38802, CVE-2023-41358, CVE-2023-41360

 -- Aron Xu <aron@debian.org>  Fri, 01 Sep 2023 16:57:41 +0800

frr (8.4.4-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018072). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: change log files ownership
      + d/frr.logrotate: change rotated log file ownership
  * Dropped:
    - SECURITY UPDATE: denial of service via bgp_capability_llgr()
      + debian/patches/CVE-2023-31489.patch: check 7 bytes for Long-lived
        Graceful-Restart capability in bgpd/bgp_open.c.
      + CVE-2023-31489
        [Fixed upstream in 8.4.4]
    - SECURITY UPDATE: denial of service via bgp_attr_psid_sub()
      + debian/patches/CVE-2023-31490.patch: ensure stream received has
        enough data in bgpd/bgp_attr.c.
      + CVE-2023-31490
        [Fixed upstream in version 8.4.4]

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 26 Jul 2023 17:43:05 -0300

frr (8.4.4-1) unstable; urgency=medium

  * new upstream release FRR 8.4.4
  * upstream fix CVE-2023-31489 (closes: #1036061)
  * upstream fix CVE-2023-31490 (closes: #1036062)
  * correctly use sphinxdoc:Built-Using
  * point watch file at git tarball, no more upstream dist tarballs

 -- David Lamparter <equinox-debian@diac24.net>  Wed, 12 Jul 2023 14:28:34 +0200

frr (8.4.2-1ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: denial of service via bgp_capability_llgr()
    - debian/patches/CVE-2023-31489.patch: check 7 bytes for Long-lived
      Graceful-Restart capability in bgpd/bgp_open.c.
    - CVE-2023-31489
  * SECURITY UPDATE: denial of service via bgp_attr_psid_sub()


=== debian/rules ===
#!/usr/bin/make -f

# standard Debian options & profiles

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
  MAKE_SILENT="V=0"
  export DH_VERBOSE=0
else
  MAKE_SILENT="V=1"
  export DH_VERBOSE=1
  export DH_OPTIONS=-v
endif

# package-specific build profiles

ifeq ($(filter pkg.frr.nortrlib,$(DEB_BUILD_PROFILES)),)
  CONF_RPKI=--enable-rpki
else
  CONF_RPKI=--disable-rpki
endif

ifeq ($(filter pkg.frr.lua,$(DEB_BUILD_PROFILES)),)
  CONF_LUA=--disable-scripting
else
  CONF_LUA=--enable-scripting
endif

ifeq ($(filter pkg.frr.pim6d,$(DEB_BUILD_PROFILES)),)
  CONF_PIM6=--disable-pim6d
else
  CONF_PIM6=--enable-pim6d
endif

export PYTHON=python3

%:
	dh $@ -Bbuild --with=sphinxdoc

override_dh_auto_configure:
	$(shell dpkg-buildflags --export=sh); \
	dh_auto_configure -- \
		--localstatedir=/var/run/frr \
		--sbindir=/usr/lib/frr \
		--sysconfdir=/etc/frr \
		--with-vtysh-pager=/usr/bin/pager \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr \
		--with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr/modules \
		LIBTOOLFLAGS="-rpath /usr/lib/$(DEB_HOST_MULTIARCH)/frr" \
		--disable-dependency-tracking \
		\
		$(CONF_RPKI) \
		$(CONF_LUA) \
		$(CONF_PIM6) \
		--with-libpam \
		--enable-doc \
		--enable-doc-html \
		--enable-snmp \
		--enable-fpm \
		--disable-protobuf \
		--disable-zeromq \
		--enable-ospfapi \
		--enable-bgp-vnc \
		--enable-multipath=256 \
		\
		--enable-user=frr \
		--enable-group=frr \
		--enable-vty-group=frrvty \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640 \
		# end

override_dh_auto_install:
	dh_auto_install

	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/frr-reload.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/generate_support_bundle.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/frr_babeltrace.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/ospfclient.py

# let dh_systemd_* and dh_installinit do their thing automatically
	cp build/tools/frr.service debian/frr.service
	cp build/tools/frr@.service debian/frr@.service
	cp build/tools/frrinit.sh debian/frr.init
	-rm -f debian/tmp/usr/lib/frr/frr

# install config files
	mkdir -p debian/tmp/etc
	cp -r tools/etc/* debian/tmp/etc/
	-rm debian/tmp/etc/frr/daemons.conf

# drop dev-only files
	find debian/tmp -name '*.la' -o -name '*.a' -o -name 'lib*.so' | xargs rm -f
	rm -rf debian/tmp/usr/include
	-rm debian/tmp/usr/lib/frr/ssd

override_dh_auto_build:
	dh_auto_build -- $(MAKE_SILENT)

override_dh_installinit:
	dh_installinit -r

override_dh_installsystemd:
	dh_installsystemd -r

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_missing:
	dh_missing --fail-missing

ifneq ($(filter nocheck,$(DEB_BUILD_PROFILES) $(DEB_BUILD_OPTIONS)),)
override_dh_auto_test:
	true
endif

override_dh_auto_clean:
# we generally do NOT want a full distclean since that wipes both
# debian/changelog and config.version
	if test -f Makefile; then make redistclean; fi
	-rm -f debian/frr.init
	-rm -f debian/frr.service
	-rm -f debian/frr@.service

=== debian/tests/control ===
Tests: zebra-lo
Depends: frr
Restrictions: needs-root, isolation-container

Tests: bgpd-snmp-rpki
Depends: frr,
         frr-rpki-rtrlib,
         frr-snmp
Restrictions: needs-root, isolation-container

Tests: py-frr-reload
Depends: frr,
         frr-pythontools
Restrictions: needs-root, isolation-container

## frr 10.0.1

=== debian/changelog ===
frr (10.0.1-0.1ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: BGP overflow via TLV value
    - debian/patches/CVE-2024-44070.patch: check the actual remaining
      stream length before taking TLV value in bgpd/bgp_attr.c.
    - CVE-2024-44070

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Sep 2024 07:35:31 -0400

frr (10.0.1-0.1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064404). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: change log files ownership
      + d/frr.logrotate: change rotated log file ownership
  * Dropped security patches included upstream:
    - SECURITY UPDATE: DoS via MP_REACH_NLRI data
      + debian/patches/CVE-2023-46752.patch: handle MP_REACH_NLRI malformed
        packets with session reset in bgpd/bgp_attr.c, bgpd/bgp_attr.h,
        bgpd/bgp_packet.c.
      + CVE-2023-46752
    - SECURITY UPDATE: DoS via BGP UPDATE without mandatory attributes
      + debian/patches/CVE-2023-46753.patch: check mandatory attributes more
        carefully for UPDATE message in bgpd/bgp_attr.c.
      + CVE-2023-46753
    - SECURITY UPDATE: read beyond stream during labeled unicast parsing
      + debian/patches/CVE-2023-38407.patch: fix use beyond end of stream of
        labeled unicast parsing in bgpd/bgp_label.c.
      + CVE-2023-38407
    - SECURITY UPDATE: crash via malformed BGP UPDATE message
      + debian/patches/CVE-2023-47235.patch: treat EOR as withdrawn to avoid
        unwanted handling of malformed attrs in bgpd/bgp_attr.c.
      + CVE-2023-47235
    - SECURITY UPDATE: crash via MP_UNREACH_NLRI attribute
      + debian/patches/CVE-2023-47234.patch: ignore handling NLRIs if we
        received MP_UNREACH_NLRI in bgpd/bgp_attr.c, bgpd/bgp_attr.h,
        bgpd/bgp_packet.c.
      + CVE-2023-47234
    - SECURITY UPDATE: DoS via malformed OSPF LSA packet
      + debian/patches/CVE-2024-27913.patch: solved crash in OSPF TE parsing
        in ospfd/ospf_te.c.
      + CVE-2024-27913

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 29 Jul 2024 09:49:25 -0300

frr (10.0.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release:
    - an attacker using a malformed Prefix SID attribute in a BGP UPDATE
      packet can cause the bgpd daemon to crash [CVE-2024-31948]
      (Closes: #1072126)
    - an infinite loop can occur when receiving a MP/GR capability as a
      dynamic capability because malformed data results in a pointer not
      advancing [CVE-2024-31949] (Closes: #1072125)
    - there can be a buffer overflow and daemon crash in ospf_te_parse_ri for
      OSPF LSA packets during an attempt to read Segment Routing subTLVs (their
      size is not validated) [CVE-2024-31950] (Closes: #1070377)
    - there can be a buffer overflow and daemon crash in
      ospf_te_parse_ext_link for OSPF LSA packets during an attempt to read
      Segment Routing Adjacency SID subTLVs (lengths are not validated)
      [CVE-2024-31951 (Closes: #1070377)
    - ospf_te_parse_te in ospfd/ospf_te.c allows remote attackers to cause a
      denial of service (ospfd daemon crash) via a malformed OSPF LSA packet,
      because of an attempted access to a missing attribute field
      [CVE-2024-27913]
    - it is possible for the get_edge() function in ospf_te.c in the OSPF
      daemon to return a NULL pointer. In cases where calling functions do not
      handle the returned NULL value, the OSPF daemon crashes, leading to denial
      of service [CVE-2024-34088] (Closes: #1070377)

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Jul 2024 02:19:29 +0200

frr (10.0-2) unstable; urgency=medium

  * fix build on hppa
  * only use libunwind on architectures where it is available
  * remove /var/lib/frr on purge
  * drop some ancient dependency alternates

 -- David Lamparter <equinox-debian@diac24.net>  Fri, 03 May 2024 14:53:50 +0200

frr (10.0-1) unstable; urgency=medium

  * IRDP module is no longer packaged (slated to be removed upstream)
  * added mkdir+chown /var/lib/frr which is now used by FRR
  * sysconfdir and localstatedir configure args are no longer needed
  * NB: refer to never-released 8.5.2-1 changes below!
  * Link libatomic unconditionally (closes: #1067077)
  * known to not build on hppa due to struct.calcsize python exception

 -- David Lamparter <equinox-debian@diac24.net>  Tue, 30 Apr 2024 19:36:44 +0200

frr (10.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Linking with atomic like armel to fix FTBFS.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Apr 2024 07:44:24 +0200

frr (10.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Bumping libyang2 build-depends to required version.
  * Removing CVE-2024-27913.patch, included upstream.
  * Adding now explicit configure flag to keep enabled building zebra_irdp.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Apr 2024 05:46:52 +0200

frr (9.1-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release (Closes: #1042473, #1055852):
    - CVE-2023-3748: parsing certain babeld unicast hello messages that are
      intended to be ignored. This issue may allow an attacker to send specially
      crafted hello messages with the unicast flag set, the interval field set
      to 0, or any TLV that contains a sub-TLV with the Mandatory flag set to
      enter an infinite loop and cause a denial of service.
    - CVE-2023-38407: bgpd/bgp_label.c attempts to read beyond the end of the
      stream during labeled unicast parsing.
    - CVE-2023-41361: bgpd/bgp_open.c does not check for an overly large
      length of the rcv software version.
    - CVE-2023-46752: It mishandles malformed MP_REACH_NLRI data, leading to a
      crash.
    - CVE-2023-46753: A crash can occur for a crafted BGP UPDATE message


=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
            Ondřej Surý <ondrej@debian.org>
 Build-Depends: bison,
                chrpath,
-               debhelper (>= 10~) | dh-systemd,
-               debhelper (>= 9.20150101~),
+               debhelper (>= 10~),
                flex,
                gawk,
                install-info,
@@ -16,16 +15,18 @@
                libcap-dev,
                libelf-dev:native,
                libjson-c-dev | libjson0-dev,
-               libpam0g-dev | libpam-dev,
+               libpam0g-dev,
                libpcre2-dev,
+               libprotobuf-c-dev,
                libpython3-dev:native,
                libreadline-dev,
                librtr-dev (>= 0.8.0~) <!pkg.frr.nortrlib>,
                libsnmp-dev,
                libssh-dev <!pkg.frr.nortrlib>,
-               libyang2-dev,
-               lsb-base,
-               pkg-config,
+               libunwind-dev [!alpha !m68k !sparc64 !x32],
+               libyang2-dev (>= 2.1.128),
+               pkgconf,
+               protobuf-c-compiler,
                python3:native,
                python3-dev:native,
                python3-pytest:native <!nocheck>,
@@ -107,6 +108,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Suggests: frr
 Conflicts: quagga-doc
 Description: FRRouting suite - user manual

=== debian/rules ===
--- 
+++ 
@@ -39,11 +39,9 @@
 	dh $@ -Bbuild --with=sphinxdoc
 
 override_dh_auto_configure:
-	$(shell dpkg-buildflags --export=sh); \
+	$(shell dpkg-buildflags --export=sh); export LIBS="$$LIBS -latomic"; \
 	dh_auto_configure -- \
-		--localstatedir=/var/run/frr \
 		--sbindir=/usr/lib/frr \
-		--sysconfdir=/etc/frr \
 		--with-vtysh-pager=/usr/bin/pager \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr \
 		--with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr/modules \
@@ -116,9 +114,8 @@
 endif
 
 override_dh_auto_clean:
-# we generally do NOT want a full distclean since that wipes both
-# debian/changelog and config.version
-	if test -f Makefile; then make redistclean; fi
+	dh_auto_clean
+	-rm -rf tests/.pytest_cache
 	-rm -f debian/frr.init
 	-rm -f debian/frr.service
 	-rm -f debian/frr@.service
